Subject: bug#8277: Emacs should use socklen_t for socket lengths

From: Paul Eggert <[email-masked]>
Date: Sun, 20 Mar 2011 12:40:52 -0700

On 03/20/2011 12:22 PM, Eli Zaretskii wrote:
> But for Cygwin, nt/inc/sys/socket.h is not relevant.  Files under nt/
> are used only by the native Windows build.  I expect Cygwin to use
> sys/socket.h from its system headers, and I don't think it includes
> ws2tcpip.h (but I could be wrong).

In that case, I suppose Bruno was talking about ports for programs
other than Emacs.  Cygwin ports should include sys/socket.h, as
you wrote, and MingW ports should include some other file.  For
Emacs this shouldn't matter, since it does things its own way,
and (and you say) all that's important is that the header files
should define socklen_t one way or another.